Subject: Re: bug#23079: 25.0.92; Movement commands leave cursor in invisible line

From: Jonas Bernoulli <[email-masked]>
Date: Fri, 25 Mar 2016 12:42:10 +0100

>>> Yes, indeed, at least one of those hooks seems to change text
>>> properties.  Can't look into it further, it's already too late.
>> Yes, I verified that it does.
>> So...what can we do?  Can we salvage (sorry if this is the wrong word)
>> the cursor adjustment somehow?
>
> Hmm... not without changes either to Emacs's C code (so as to perform
> point-adjustment even if some changes were made to the buffer), or to
> Magit's code (so as not to touch text-properties during
> magit-section-update-highlight, e.g. using overlays instead).

If I remember correctly we started to use text-properties here because
Eli occationally tells us that we should not abuse overlays ;-)

It should easily be possible to go back to text-properties.

(I haven't followed this conversation closely because I am on a break.)